#!/bin/sh

mem=$[`(grep MemTotal /proc/meminfo || echo 524288)| sed 's/[^0-9]//g'`*4]

[ $mem -ge 32948992 ] && mem=32948992

srootsize=50000000
drootsize=80000000

# Don't use raids under virtualization
if lspci -n | grep -qE '(1013:00b8)|(80ee:beef)|(14ad:0405)|(1af4:100)' ; then
	server_methods='plain'
	mem=$[$mem/4]
	srootsize=$[$srootsize/2]
	drootsize=$[$drootsize/3]
else
	server_methods='raid plain'
fi


cat > /var/cache/alterator/vm-profile.scm << _EOF_
((workstation
  (title . "Setup for workstation")
  (action . trivial)
  (actiondata  ("swap" (size . $mem) (fsim . "SWAPFS") (methods plain))
               ("/" (size . $drootsize ) (fsim . "Ext2/3") (methods plain))
               ("/home" (size 4194304 . #t) (fsim . "Ext2/3") (methods  plain))))
(server
  (title . "Setup for server")
  (action . trivial)
  (actiondata  ("swap" (size . $(($mem*2))) (fsim . "SWAPFS") (methods $server_methods))
               ("/" (size  . $srootsize ) (fsim . "Ext2/3") (methods $server_methods))
               ("/var" (size 4194304 . #t) (fsim . "Ext2/3") (methods $server_methods))))

	       )
_EOF_
